Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228036 - Update to yum-priorities overwrites locally modified priorities.conf
Summary: Update to yum-priorities overwrites locally modified priorities.conf
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-09 17:31 UTC by Joe Christy
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-18 08:57:45 UTC


Attachments (Terms of Use)

Description Joe Christy 2007-02-09 17:31:08 UTC
Description of problem:
Update to yum-priorities overwrites /etc/yum/pluginconf.d/priorities.conf

Version-Release number of selected component (if applicable):
yum-priorities-1.0.2-2.fc6

How reproducible:
Always

Steps to Reproduce:
1.Update yum-priorities from 1.0.1-1 to 1.0.2-2
2.Compare current and old /etc/yum/pluginconf.d/priorities.conf
3.
  
Actual results:
If old version had been changed locally to enabled=1, new one is back to enabled=0
  

Expected results:
Either locally modified conf file is saved as priorities.conf.rpmsave or new one
is created as priorities.conf.rpmnew, preferably the former.

Additional info:
I wondered why all of a sudden yum wanted to "update"/revert some of my
customized packages which exist both in my local repo and external repos.

Comment 1 Tim Lauridsen 2007-06-18 08:57:45 UTC
This is strange 'yum-priorities' is build with
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/priorities.conf

So it should not replace the conf file, maybe the have been a issue with an
earlier release, but it should be ok now.


Note You need to log in before you can comment on or make changes to this bug.